/* This file is part of AHD Subtitles Maker Professional
   A program can create and edit subtitles

   Copyright © Ala I Hadid 2009 - 2012

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AHD.MKV
{
    public class BigEndianHelper
    {
        public static uint ToUINT32(byte b1, byte b2, byte b3, byte b4)
        {
            return (uint)((b1 << 24) | (b2 << 16) | (b3 << 8) | b4);
        }
        public static uint ToUINT32(byte [] bytes)
        {
            return ToUINT32(bytes[0], bytes[1], bytes[2], bytes[3]);
        }
        public static float ToFLOAT32(byte b1, byte b2, byte b3, byte b4)
        {
            return (float)((b1 << 24) | (b2 << 16) | (b3 << 8) | b4);
        }
        public static float ToFLOAT32(byte[] bytes)
        {
            return ToFLOAT32(bytes[0], bytes[1], bytes[2], bytes[3]);
        }
        public static float ToFLOAT64(byte b1, byte b2, byte b3, byte b4, byte b5, byte b6, byte b7, byte b8)
        {
            return (float)((b1 << 56) | (b2 << 48) | (b3 << 40) | (b4 << 32) | (b5 << 24) | (b6 << 16) | (b7 << 8) | b8);
        }
        public static float ToFLOAT64(byte[] bytes)
        {
            return ToFLOAT64(bytes[0], bytes[1], bytes[2], bytes[3], bytes[4], bytes[5], bytes[6], bytes[7]);
        }
    }
}
